/*
 * DrcomForAllApp.java
 */
package drcomforall;

import org.jdesktop.application.Application;
import org.jdesktop.application.SingleFrameApplication;

/**
 * The main class of the application.
 */
public class DrcomForAllApp extends SingleFrameApplication {

    /**
     * At startup create and show the main frame of the application.
     */
    @Override
    protected void startup() {
        show(new DrcomForAllView(this));
    }

    /**
     * This method is to initialize the specified window by injecting resources.
     * Windows shown in our application come fully initialized from the GUI
     * builder, so this additional configuration is not needed.
     */
    @Override
    protected void configureWindow(java.awt.Window root) {
    }

    /**
     * A convenient static getter for the application instance.
     * @return the instance of DrcomForAllApp
     */
    public static DrcomForAllApp getApplication() {
        return Application.getInstance(DrcomForAllApp.class);
    }

    public static void showLoginDialog() {
        java.awt.EventQueue.invokeLater(new Runnable() {

            public void run() {
                LoginDialog dialog = new LoginDialog(new javax.swing.JFrame(), true);
                dialog.setVisible(true);
            }
        });
    }

    public static void showSetDialog() {
        java.awt.EventQueue.invokeLater(new Runnable() {

            public void run() {
                SetDialog dialog = new SetDialog(new javax.swing.JFrame(), true);
                dialog.getRecord();
                dialog.setVisible(true);
            }
        });

    }

    public static void showAboutDialog() {
        java.awt.EventQueue.invokeLater(new Runnable() {

            public void run() {
                AboutDialog dialog = new AboutDialog(new javax.swing.JFrame(), true);
                dialog.setVisible(true);
            }
        });

    }

    /**
     * Main method launching the application.
     */
    public static void main(String[] args) {
        launch(DrcomForAllApp.class, args);
    }
}
